Gajim - 2014-05-17


  1. Jochen Hi, I'm trying to port the Ubuntu Integration plugin to the new Unity MessagingMenu. But when I do a "from gi.repository import GLib, Gio, MessagingMenu" I get a ImportError exception. Running this as standalone code works fine, but doing it inside a plugin it throws a exception. Any Ideas?
  2. Link Mauve Gajim 0.16 is still using GTK+ 2.x.
  3. Link Mauve I’m not sure but AFAIK Ubuntu moved to GTK+ 3.x.
  4. Link Mauve You may have to specify you want the 2.x version before importing those libraries.
  5. Jochen Does that mean it's impossible to use the Unity MessagingMenu?
  6. Link Mauve Look at how other GTK+ 2.x software do, perhaps?
  7. Link Mauve Or look at the Ubuntu docs.
  8. Jochen There are no docs for the new MessagingMenu for Python
  9. Link Mauve And for non-Python, what do they say about GTK+ 2.x?
  10. Jochen I don't find any docs. Most links to the docs are dead. Looks like they moved that somewhere to nirvana :-(
  11. Link Mauve ^^'
  12. Link Mauve That’s Ubuntu for you, I guess.
  13. pvtlth How do I tell Gajim not to ask for a message when I change my status?
  14. pvtlth Ah, got it! I had to activate auto-statusmessages and clear the default messages.
  15. pvtlth Or change the default message to whatever I want
  16. dicson http://dicson.no-ip.info/apache2-default/screenshots/screenshot_01.png
  17. dicson see tooltip
  18. pvtlth Thanks! I can't read a word but this window is where I found what I was looking for.
  19. pvtlth pvtlth out, see you!